package cicaprojekt;

import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

import javax.imageio.ImageIO;

public abstract class Drawer {
    private BufferedImage image;

    public Drawer(String path) throws IOException {                
        image = ImageIO.read(new File(path));
    }

    public void changeImage(String path) throws IOException {
        image = ImageIO.read(new File(path));
    }
    
    public BufferedImage getImage() {
        return image;
    }
    
    public abstract void draw() throws IOException;
    public abstract int getTileX();
    public abstract int getTileY();
}
